FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > CRUX > CRUX

 
 
LinkBack Thread Tools
 
Old 10-30-2010, 12:40 PM
Hazel Russman
 
Default Crux 2.6->2.7 update breaks gegl, pypanel

> On 10/29/10 23:36, Victor Martinez wrote:

> Hello Hazel,
> which svg port are you using? Here gegl builds fine without svg loader.

svg wasn't a port in my case; I built it by hand from source. If it was svg that caused the problem, I should be able to avoid future ones by reinstalling it.

> Are you on CRUX 2.7 really? It has python 2.7 and here python-xlib and
> pypanel builds well too, there are only a footprint mistmatch, because
> .footprints have references to python 2.6.
>

I just checked. I have both python 2.6 and python 2.7 trees in /usr/lib. The python 2.7 one does not have Xlib so that explains the error. I've just reinstalled python-xlib and now I have pypanel too!
Thank you very much for your help.
>
> _______________________________________________
> CRUX mailing list
> CRUX@lists.crux.nu
> http://lists.crux.nu/mailman/listinfo/crux
>
> End of CRUX Digest, Vol 73, Issue 24
> ************************************
--
Hazel Russman <hazel_russman@yahoo.co.uk>
_______________________________________________
CRUX mailing list
CRUX@lists.crux.nu
http://lists.crux.nu/mailman/listinfo/crux
 
Old 11-03-2010, 06:20 AM
Danny Rawlins
 
Default Crux 2.6->2.7 update breaks gegl, pypanel

Hazel Russman wrote:
>> On 10/29/10 23:36, Victor Martinez wrote:
>>
>
>
>> Hello Hazel,
>> which svg port are you using? Here gegl builds fine without svg loader.
>>
>
> svg wasn't a port in my case; I built it by hand from source. If it was svg that caused the problem, I should be able to avoid future ones by reinstalling it.
>
>
>> Are you on CRUX 2.7 really? It has python 2.7 and here python-xlib and
>> pypanel builds well too, there are only a footprint mistmatch, because
>> .footprints have references to python 2.6.
>>
>>
>
> I just checked. I have both python 2.6 and python 2.7 trees in /usr/lib. The python 2.7 one does not have Xlib so that explains the error. I've just reinstalled python-xlib and now I have pypanel too!
> Thank you very much for your help.
>
>> _______________________________________________
>> CRUX mailing list
>> CRUX@lists.crux.nu
>> http://lists.crux.nu/mailman/listinfo/crux
>>
>> End of CRUX Digest, Vol 73, Issue 24
>> ************************************
>>
Hi,

With any major python and perl version bump you need to rebuild all the
ports that use those.

Regards,
Danny
_______________________________________________
CRUX mailing list
CRUX@lists.crux.nu
http://lists.crux.nu/mailman/listinfo/crux
 

Thread Tools




All times are GMT. The time now is 10:57 AM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org